Bug 241804 - Review Request: audio-entropyd - Generate entropy from audio output
Review Request: audio-entropyd - Generate entropy from audio output
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-30 14:49 EDT by Tom "spot" Callaway
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-05 16:01:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2007-05-30 14:49:40 EDT
Spec URL: http://www.auroralinux.org/people/spot/review/audio-entropyd.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/audio-entropyd-1.0.0-1.fc7.src.rpm
Description: 
Audio-entropyd generates entropy-data for the /dev/random device.

Note that the service is enabled by default. Since this daemon needs no configuration, I say that people installing it want it to be running by default.
Comment 1 Kevin Fenzi 2007-06-04 23:52:26 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (GPL)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
0957c4817aba487966fc711d77182576  audio-entropyd-1.0.0.tgz
0957c4817aba487966fc711d77182576  audio-entropyd-1.0.0.tgz.1
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
See below - No rpmlint output.
OK - final provides and requires are sane

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should function as described.
OK - Should have sane scriptlets.
OK - Should have dist tag
OK - Should package latest version

Issues:

1. rpmlint has one lone line of output:
W: audio-entropyd service-default-enabled /etc/rc.d/init.d/audio-entropyd

As you say there shouldn't be a problem enabling this by default.

2. Should there be a condrestart for upgrades? You can add one if you think
it makes sense.

I see no blockers, so this package is APPROVED.

Don't forget to close this review once you have imported and built this package.
Comment 2 Tom "spot" Callaway 2007-06-05 11:15:33 EDT
Added a condrestart to postun, thanks for the suggestion.

Did my own CVS, here it is for reference:

New Package CVS Request
=======================
Package Name: audio-entropyd
Short Description: Generate entropy from audio output
Owners: tcallawa@redhat.com
Branches: FC-5 FC-6 F-7
InitialCC:
Comment 3 Tom "spot" Callaway 2007-06-05 16:01:10 EDT
Built, and pushing. Thanks for the review.

Note You need to log in before you can comment on or make changes to this bug.